* elf/ldd.bash.in: If --verify loop fails to find a dynamic linker

for the file don't just try the first one listed in RTLDLIST
	again.  We already have the status.
This commit is contained in:
Ulrich Drepper 2006-04-30 16:08:10 +00:00
parent 5493f3ddc3
commit 34e212784c
2 changed files with 5 additions and 6 deletions

View File

@ -1,5 +1,9 @@
2006-04-30 Ulrich Drepper <drepper@redhat.com> 2006-04-30 Ulrich Drepper <drepper@redhat.com>
* elf/ldd.bash.in: If --verify loop fails to find a dynamic linker
for the file don't just try the first one listed in RTLDLIST
again. We already have the status.
* nis/nss_nisplus/nisplus-publickey.c (parse_grp_str): PIDLIST is * nis/nss_nisplus/nisplus-publickey.c (parse_grp_str): PIDLIST is
supposed to have NGRPS elements. supposed to have NGRPS elements.

View File

@ -154,6 +154,7 @@ for file do
test -x "$file" || echo 'ldd:' $"\ test -x "$file" || echo 'ldd:' $"\
warning: you do not have execution permission for" "\`$file'" >&2 warning: you do not have execution permission for" "\`$file'" >&2
RTLD= RTLD=
ret=1
for rtld in ${RTLDLIST}; do for rtld in ${RTLDLIST}; do
if test -x $rtld; then if test -x $rtld; then
verify_out=`${rtld} --verify "$file"` verify_out=`${rtld} --verify "$file"`
@ -163,12 +164,6 @@ warning: you do not have execution permission for" "\`$file'" >&2
esac esac
fi fi
done done
if test -z "${RTLD}"; then
set ${RTLDLIST}
RTLD=$1
verify_out=`${RTLD} --verify "$file"`
ret=$?
fi
case $ret in case $ret in
0) 0)
# If the program exits with exit code 5, it means the process has been # If the program exits with exit code 5, it means the process has been